python-ldap_3.0.0-1_amd64.deb


Advertisement

Description

python-ldap - LDAP interface module for Python

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Main amd64
Package name python-ldap
Package version 3.0.0
Package release 1
Package architecture amd64
Package type deb
Installed size 394 B
Download size 86.80 KB
Official Mirror archive.ubuntu.com
This module provides a Python interface to the OpenLDAP client library
(LDAP is the Lightweight Directory Access Protocol).

Alternatives

Package Version Architecture Repository
python-ldap_3.0.0-1_i386.deb 3.0.0 i386 Ubuntu Main
python-ldap - - -

Requires

Name Value
libc6 >= 2.14
libldap-2.4-2 >= 2.4.11
python >= 2.7~
python << 2.8
python-pyasn1 >= 0.3.7
python-pyasn1-modules -
python:any >= 2.7.5-5~
python:any << 2.8

Provides

Name Value
python-pyldap -
python2.7-ldap -

Conflicts

Name Value
python-pyldap << 3
python2.3-ldap << 2.2.0-1.1
python2.3-ldap-tls -
python2.4-ldap << 2.2.0-1.1

Replaces

Name Value
python-pyldap -
python2.3-ldap << 2.2.0-1.1
python2.3-ldap-tls -
python2.4-ldap << 2.2.0-1.1

Download

Type URL
Binary Package python-ldap_3.0.0-1_amd64.deb
Source Package python-ldap

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-ldap deb package:
    # sudo apt-get install python-ldap

Files

Path
/usr/lib/python2.7/dist-packages/_ldap.x86_64-linux-gnu.so
/usr/lib/python2.7/dist-packages/ldapurl.py
/usr/lib/python2.7/dist-packages/ldif.py
/usr/lib/python2.7/dist-packages/ldap/__init__.py
/usr/lib/python2.7/dist-packages/ldap/async.py
/usr/lib/python2.7/dist-packages/ldap/asyncsearch.py
/usr/lib/python2.7/dist-packages/ldap/cidict.py
/usr/lib/python2.7/dist-packages/ldap/compat.py
/usr/lib/python2.7/dist-packages/ldap/constants.py
/usr/lib/python2.7/dist-packages/ldap/dn.py
/usr/lib/python2.7/dist-packages/ldap/filter.py
/usr/lib/python2.7/dist-packages/ldap/functions.py
/usr/lib/python2.7/dist-packages/ldap/ldapobject.py
/usr/lib/python2.7/dist-packages/ldap/logger.py
/usr/lib/python2.7/dist-packages/ldap/modlist.py
/usr/lib/python2.7/dist-packages/ldap/pkginfo.py
/usr/lib/python2.7/dist-packages/ldap/resiter.py
/usr/lib/python2.7/dist-packages/ldap/sasl.py
/usr/lib/python2.7/dist-packages/ldap/syncrepl.py
/usr/lib/python2.7/dist-packages/ldap/controls/__init__.py
/usr/lib/python2.7/dist-packages/ldap/controls/deref.py
/usr/lib/python2.7/dist-packages/ldap/controls/libldap.py
/usr/lib/python2.7/dist-packages/ldap/controls/openldap.py
/usr/lib/python2.7/dist-packages/ldap/controls/pagedresults.py
/usr/lib/python2.7/dist-packages/ldap/controls/ppolicy.py
/usr/lib/python2.7/dist-packages/ldap/controls/psearch.py
/usr/lib/python2.7/dist-packages/ldap/controls/pwdpolicy.py
/usr/lib/python2.7/dist-packages/ldap/controls/readentry.py
/usr/lib/python2.7/dist-packages/ldap/controls/sessiontrack.py
/usr/lib/python2.7/dist-packages/ldap/controls/simple.py
/usr/lib/python2.7/dist-packages/ldap/controls/sss.py
/usr/lib/python2.7/dist-packages/ldap/controls/vlv.py
/usr/lib/python2.7/dist-packages/ldap/extop/__init__.py
/usr/lib/python2.7/dist-packages/ldap/extop/dds.py
/usr/lib/python2.7/dist-packages/ldap/schema/__init__.py
/usr/lib/python2.7/dist-packages/ldap/schema/models.py
/usr/lib/python2.7/dist-packages/ldap/schema/subentry.py
/usr/lib/python2.7/dist-packages/ldap/schema/tokenizer.py
/usr/lib/python2.7/dist-packages/python_ldap-3.0.0.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/python_ldap-3.0.0.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/python_ldap-3.0.0.egg-info/not-zip-safe
/usr/lib/python2.7/dist-packages/python_ldap-3.0.0.egg-info/requires.txt
/usr/lib/python2.7/dist-packages/python_ldap-3.0.0.egg-info/top_level.txt
/usr/lib/python2.7/dist-packages/slapdtest/__init__.py
/usr/lib/python2.7/dist-packages/slapdtest/_slapdtest.py
/usr/lib/python2.7/dist-packages/slapdtest/certs/README
/usr/lib/python2.7/dist-packages/slapdtest/certs/ca.conf
/usr/lib/python2.7/dist-packages/slapdtest/certs/ca.pem
/usr/lib/python2.7/dist-packages/slapdtest/certs/client.conf
/usr/lib/python2.7/dist-packages/slapdtest/certs/client.key
/usr/lib/python2.7/dist-packages/slapdtest/certs/client.pem
/usr/lib/python2.7/dist-packages/slapdtest/certs/gencerts.sh
/usr/lib/python2.7/dist-packages/slapdtest/certs/gennssdb.sh
/usr/lib/python2.7/dist-packages/slapdtest/certs/server.conf
/usr/lib/python2.7/dist-packages/slapdtest/certs/server.key
/usr/lib/python2.7/dist-packages/slapdtest/certs/server.pem
/usr/share/doc/python-ldap/README
/usr/share/doc/python-ldap/TODO
/usr/share/doc/python-ldap/changelog.Debian.gz
/usr/share/doc/python-ldap/copyright

Changelog

2018-03-22 - Willem van den Akker <wvdakker@wilsoft.nl>
python-ldap (3.0.0-1) unstable; urgency=low
* New upstream release
* debian/control
- add Team-support
- removed python-ldap-doc dependency.
2018-01-24 - Thomas Goirand <zigo@debian.org>
python-ldap (3.0.0~b4-1.1) unstable; urgency=medium
* Non-maintainer upload.
* Add Provides, Conflicts, Replaces for python{3,}-pyldap.
(Closes: #886847, #886847)
2018-01-10 - Willem van den Akker <wvdakker@wilsoft.nl>
python-ldap (3.0.0~b4-1) unstable; urgency=medium
* New upstream version.
* debian/control
- VCS*: migrate to salsa.debian.org
- bump to standard version 4.1.3
* debian/copyright
- fixed incomplete entry (Closes: #885010)
* debian/compat
- bump to 11
2017-12-21 - Willem van den Akker <wvdakker@wilsoft.nl>
python-ldap (3.0.0~b3-1) unstable; urgency=medium
[Timo Aaltonen]
* New upstream release.
- drop 01_setup_cfg.diff, obsolete
* Package python3-ldap. (Closes: #884882)
[Willem van den Akker]
* debian/watch
- handle 'b' and 'rc' tags.
* debian control
- bump standard version to 4.1.2.
2017-11-27 - Willem van den Akker <wvdakker@wilsoft.nl>
python-ldap (2.5.2-1) unstable; urgency=low
* New maintainer (Closes: #868690).
* New upstream version 2.5.2
* debian/control
- change priority '-dbg' package to optional.
- bump standard version to 4.1.1.
- add VCS fields.
* debian/copyright
- make dep-5.
2017-07-20 - Dr. Tobias Quathamer <toddy@debian.org>
python-ldap (2.4.41-1) unstable; urgency=medium
* QA upload.
* New upstream version 2.4.41 (Closes: #771504)
2016-12-09 - Dr. Tobias Quathamer <toddy@debian.org>
python-ldap (2.4.28-0.1) unstable; urgency=medium
* Non-maintainer upload.
* Imported Upstream version 2.4.28
* Use debhelper v10
* Use secure transport for homepage URL
* Update watch file
* Add dh-python to Build-Depends
2016-01-05 - Timo Aaltonen <tjaalton@debian.org>
python-ldap (2.4.22-0.1) unstable; urgency=medium
* Non-maintainer upload.
* New upstream release.
2015-09-24 - Timo Aaltonen <tjaalton@debian.org>
python-ldap (2.4.20-0.1) unstable; urgency=medium
* Non-maintainer upload.
* New upstream release. (Closes: #742487)
* watch: Update the url.
2014-02-23 - Matthias Klose <doko@ubuntu.com>
python-ldap (2.4.10-1build1) trusty; urgency=medium
* Rebuild to drop files installed into /usr/share/pyshared.

See Also

Package Description
python-ldb-dev_1.2.3-1_amd64.deb LDB Python bindings - development files
python-ldb_1.2.3-1_amd64.deb Python bindings for LDB
python-libvirt_4.0.0-1_amd64.deb libvirt Python bindings
python-libxml2_2.9.4+dfsg1-6.1ubuntu1_amd64.deb Python bindings for the GNOME XML library
python-libxslt1_1.1.29-5_amd64.deb Python bindings for libxslt1
python-linecache2_1.0.0-3_all.deb backports of the linecache module - Python 2.7
python-lockfile-doc_0.12.2-2_all.deb file locking library for Python — documentation
python-lockfile_0.12.2-2_all.deb file locking library for Python — Python 2 library
python-logutils-doc_0.3.3-5_all.deb handlers for the Python standard library's logging package - docs
python-logutils_0.3.3-5_all.deb handlers for the Python standard library's logging package - Python 2.x
python-lxml-doc_4.2.1-1_all.deb pythonic binding for the libxml2 and libxslt libraries (documentation)
python-lxml_4.2.1-1_amd64.deb pythonic binding for the libxml2 and libxslt libraries
python-magnumclient-doc_2.8.0-0ubuntu1_all.deb client library for Magnum API - doc
python-magnumclient_2.8.0-0ubuntu1_all.deb client library for Magnum API - Python 2.x
python-mako-doc_1.0.7+ds1-1_all.deb documentation for the Mako Python library
Advertisement
Advertisement